OpenTTD Source: HouseSpec Struct Reference

OpenTTD Source 12.2

Public Member Functions | Static Public Member Functions | Data Fields
HouseSpec Struct Reference

## Public Member Functions
Money | GetRemovalCost () const
| Get the cost for removing this house. More...

## Static Public Member Functions
static HouseSpec * | Get (size_t house_id)

## Data Fields
Year | min_year
| introduction year of the house
Year | max_year
| last year it can be built
byte | population
| population (Zero on other tiles in multi tile house.)
byte | removal_cost
| cost multiplier for removing it
StringID | building_name
| building name
uint16 | remove_rating_decrease
| rating decrease if removed
byte | mail_generation
| mail generation multiplier (tile based, as the acceptances below)
byte | cargo_acceptance [HOUSE_NUM_ACCEPTS]
| acceptance level for the cargo slots
CargoID | accepts_cargo [HOUSE_NUM_ACCEPTS]
| input cargo slots
BuildingFlags | building_flags
| some flags that describe the house (size, stadium etc...)
HouseZones | building_availability
| where can it be built (climates, zones)
bool | enabled
| the house is available to build (true by default, but can be disabled by newgrf)
GRFFileProps | grf_prop
| Properties related the the grf file.
uint16 | callback_mask
| Bitmask of house callbacks that have to be called.
byte | random_colour [4]
| 4 "random" colours
byte | probability
| Relative probability of appearing (16 is the standard value)
HouseExtraFlags | extra_flags
| some more flags
HouseClassID | class_id
| defines the class this house has (not grf file based)
AnimationInfo | animation
| information about the animation.
byte | processing_time
| Periodic refresh multiplier.
byte | minimum_life
| The minimum number of years this house will survive before the town rebuilds it.
CargoTypes | watched_cargoes
| Cargo types watched for acceptance.

## Detailed Description

Definition at line 98 of file house.h.

## Member Function Documentation

## ◆ GetRemovalCost()

Money HouseSpec::GetRemovalCost | ( |  | ) | const

Get the cost for removing this house.

Returns
  the cost (inflation corrected etc)

Definition at line 215 of file town_cmd.cpp.

The documentation for this struct was generated from the following files:

- src/house.h
- src/town_cmd.cpp